using Microsoft.AspNetCore.Mvc;

namespace assignment2.Controllers
{
    [Route("[controller]")]
    [ApiController]
    public class ProviderController : ControllerBase
    {
        private readonly IProviderService providerService;

        public ProviderController(IProviderService providerService)
        {
            this.providerService = providerService;
        }

        [HttpGet(Name = "ProvidersGet")]
        public async Task<IActionResult> Get()
        {
            var result = await providerService.GetProviders();
            if (result == null)
            {
                return NotFound();
            }
            return Ok(result);
        }

    }
}