namespace assignment2.Services;

using assignment2.Models;
using Microsoft.EntityFrameworkCore;

public class ProviderService : IProviderService
{
    private readonly ExperienceDBContext context;

    public ProviderService(ExperienceDBContext context)
    {
        this.context = context;
    }

    public async Task<IEnumerable<ProviderView>> GetProviders()
    {
        return await context.Providers
            .Select(p => new ProviderView
            {
                Address = p.Address,
                Phone = p.Phone,
                CVR = p.CVR
            })
            .ToListAsync();
    }

    public async Task<Provider> GetProvider(int id)
    {
        return await context.Providers.FirstOrDefaultAsync(p => p.ProviderId == id);
    }

}
